## Index

### Interfaces

- BooleanInputOptions
- ChoiceInputOptions
- DescriptionDisplayOptions
- NumberInputOptions
- StringInputOptions

### Type aliases

- InputOptions

### Functions

- IsDisplayable
- OnChange
- PropertyInfo
- RefreshOptions
- Values

## Type aliases

### InputOptions

InputOptions: NumberInputOptions | StringInputOptions | BooleanInputOptions | ChoiceInputOptions | DescriptionDisplayOptions

Interprets the type of the UI element and correspondingly renders

- slider or spinner
- text box
- toggle
- drop down
- plain text or message bar

## Functions

### Const IsDisplayable

- IsDisplayable(): ClassDecorator

- Indicates to the compiler that UI should be generated from this class.

  #### Returns ClassDecorator

### Const OnChange

- OnChange(onChange: OnChangeCallback ): PropertyDecorator

- Indicates the callback to be fired when the UI element corresponding to the property is changed.

  #### Parameters

  - ##### onChange: OnChangeCallback

  #### Returns PropertyDecorator

### Const PropertyInfo

- PropertyInfo(info: Info | (() => Promise< Info >)): PropertyDecorator

- Indicates that the UI element corresponding to the property should have an Info bubble. The Info bubble is the icon that looks like an "i" which users click on to get more information about the UI element.

  #### Parameters

  - ##### info: Info | (() => Promise< Info >)

  #### Returns PropertyDecorator

### Const RefreshOptions

- RefreshOptions(refreshParams: RefreshParams ): ClassDecorator

- If there is a long running operation in your page after the `onSave` action, the page can optionally auto refresh itself using the `onRefresh` action. The 'RefreshOptions' indicate how often the auto refresh of the page occurs.

  #### Parameters

  - ##### refreshParams: RefreshParams

  #### Returns ClassDecorator

### Const Values

- Values(inputOptions: InputOptions ): PropertyDecorator

- Indicates that this property should correspond to a UI element with the given parameters.

  #### Parameters

  - ##### inputOptions: InputOptions

  #### Returns PropertyDecorator

Generated using TypeDoc